import Vuetable from './components/Vuetable.vue'
import VuetablePagination from './components/VuetablePagination.vue'
import VuetablePaginationDropDown from './components/VuetablePaginationDropdown.vue'
import VuetablePaginationInfo from './components/VuetablePaginationInfo.vue'
import VuetablePaginationMixin from './components/VuetablePaginationMixin.vue'
import VuetablePaginationInfoMixin from './components/VuetablePaginationInfoMixin.vue'
import VuetableFieldCheckbox from './components/VuetableFieldCheckbox.vue'
import VuetableFieldHandle from './components/VuetableFieldHandle.vue'
import VuetableFieldSequence from './components/VuetableFieldSequence.vue'
import VuetableRowHeader from './components/VuetableRowHeader.vue'
import Promise from 'promise-polyfill'

if (!window.Promise) {
	window.Promise = Promise
}

function install(Vue) {
  Vue.component("vuetable", Vuetable);
  Vue.component("vuetable-pagination", VuetablePagination);
  Vue.component("vuetable-pagination-dropdown", VuetablePaginationDropDown);
  Vue.component("vuetable-pagination-info", VuetablePaginationInfo);
  Vue.component("vuetable-field-checkbox", VuetableFieldCheckbox)
  Vue.component("vuetable-field-handle", VuetableFieldHandle)
  Vue.component("vuetable-field-sequence", VuetableFieldSequence)
  Vue.component("vuetable-row-header", VuetableRowHeader)
}
export {
  Vuetable,
  VuetablePagination,
  VuetablePaginationDropDown,
  VuetablePaginationInfo,
  VuetablePaginationMixin,
  VuetablePaginationInfoMixin,
  VuetableFieldCheckbox,
  VuetableFieldHandle,
  VuetableFieldSequence,
  VuetableRowHeader,
  install
};

export default Vuetable;
